Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.item
Class DSim

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.item.Item
                  org.basex.query.item.Date
                      org.basex.query.item.DSim

    public final class DSim

extends Date

Simple date item.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.item.Date
`df, xc`

Fields inherited from class org.basex.query.item.Item
`type`

Method Summary
`int` | `diff(Item it)` Returns the difference between the current and the specified item.

Methods inherited from class org.basex.query.item.Date
`days, eq, java, seconds, str, toString`

Methods inherited from class org.basex.query.item.Item
`atomic, bool, castErr, comp, d, dbl, dec, duplicates, ebv, flt, hash, i, iter, iter, itr, n, name, node, plan, removable, returned, s, score, score, serialize, test, u, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, checkCtx, checkDbl, checkItr, e, indexAccessible, indexEquivalent, remove, sameAs, size`

Methods inherited from class org.basex.query.ExprInfo
`color, info`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### diff

    public int diff(Item it)
             throws QueryException

  Description copied from class: `Item`
  Returns the difference between the current and the specified item.

  Overrides:
    `diff` in class `Date`
  Parameters:
    `it` - item to be compared.
  Returns:
    difference
  Throws:
    `QueryException` - evaluation exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD